Bug 274741 - regression in pcmciautils package
regression in pcmciautils package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pcmciautils (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-02 19:24 EDT by Vitaly Bordug
Modified: 2008-11-26 04:58 EST (History)
1 user (show)

See Also:
Fixed In Version: 8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 04:58:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitaly Bordug 2007-09-02 19:24:05 EDT
Description of problem:
New version of pcmciautils breaks serial converter card functionality.

Version-Release number of selected component (if applicable):
014-10.fc8

How reproducible:
New package does not get pcmcia serial converter bound to driver(serial_cs)

Steps to Reproduce:
1.insert pccard
2. dmesg shows card inserted
3. serial_cs is not triggered
  
Actual results:
pccard: card ejected from slot 0
pccard: PCMCIA card inserted into slot 0
pcmcia: registering new device pcmcia0.0


Expected results:

pccard: PCMCIA card inserted into slot 0
pcmcia: registering new device pcmcia0.0
ttyS0: detected caps 00000700 should be 00000100
0.0: ttyS0 at I/O 0x400 (irq = 3) is a 16C950/954
Bluetooth: HCI UART driver ver 2.2
Bluetooth: HCI H4 protocol initialized
Bluetooth: HCI BCSP protocol initialized
bcsp_recv: Out-of-order packet arrived, got 1 expected 0

Additional info:
Comment 1 Harald Hoyer 2007-09-03 08:46:58 EDT
are you sure this is pcmciautils? did you verify this by using the older rpm?
Comment 2 Vitaly Bordug 2007-09-03 10:49:04 EDT
Exactly. Current rawhide update broke that. I first considered the new kernel a
culprit, and rebooted to known to work, getting unexpectingly same - not
working- result. From the sysfs POV, all seems fine, the driver bound to
serial_cs etc; lspcmcia shows stuff unbound.

As a last resort, I got stock FC7 package of pcmciautils, copied stuff from
there ontop of mine, at it began to work immediately.
Comment 3 Harald Hoyer 2007-09-03 11:16:52 EDT
Does this fix your issue??
http://people.redhat.com/harald/downloads/pcmciautils/pcmciautils-014-11.fc8/
Comment 4 Vitaly Bordug 2007-09-05 17:40:02 EDT
(In reply to comment #3)
> Does this fix your issue??
> http://people.redhat.com/harald/downloads/pcmciautils/pcmciautils-014-11.fc8/

Yes, this package seems to work fine...
Comment 5 Harald Hoyer 2007-09-06 03:18:07 EDT
and, if you change /etc/udev/rules.d/60-pcmcia.rules:
ACTION=="add", SUBSYSTEM=="pcmcia", ENV{MODALIAS}=="?*", \
                RUN+="/bin/sh -c 'echo 1 > /sys/$devpath/allow_func_id_match'"

to:

ACTION=="add", SUBSYSTEM=="pcmcia", ENV{MODALIAS}=="?*", \
                ATTR{allow_func_id_match}="1"

it does not work?
Comment 6 Vitaly Bordug 2007-09-06 03:41:56 EDT
(In reply to comment #5)
> and, if you change /etc/udev/rules.d/60-pcmcia.rules:
> ACTION=="add", SUBSYSTEM=="pcmcia", ENV{MODALIAS}=="?*", \
>                 RUN+="/bin/sh -c 'echo 1 > /sys/$devpath/allow_func_id_match'"
> 
> to:
> 
> ACTION=="add", SUBSYSTEM=="pcmcia", ENV{MODALIAS}=="?*", \
>                 ATTR{allow_func_id_match}="1"
> 
> it does not work?
If I change it on already up system, it continue to work. I suspect some serivce 
 or smth else needs to be restarted, so I guess reliable info will be after reboot.

Comment 7 Vitaly Bordug 2007-09-06 17:33:57 EDT
still works fine after reboot.
Comment 8 Bug Zapper 2008-04-04 09:44:51 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-11-26 02:44:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Vitaly Bordug 2008-11-26 04:58:53 EST
it has been fixed next F8 update after I've confirmed it works.

Note You need to log in before you can comment on or make changes to this bug.